# instrumentMarkups

**POST api/instrumentMarkups**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "counterpartyId": 5
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
[
    [
        5,          // Counterparty id
        "BTC-USD",  // Instrument name
        1000,       // Bid markup
        2000,       // Ask markup
        "incoming"  // Flow direction
    ],
    [
        5,          // Counterparty id
        null,       // Default markup
        1000,       // Bid markup
        2000,       // Ask markup
        "outgoing"  // Flow direction
    ],
]
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

<table><thead><tr><th>Field name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><p></p><pre><code>counterpartyId
</code></pre></td><td>Efx::ClientID</td><td><em>Optional</em> <em>field</em> shows instrument markups for selected counterparty.</td></tr></tbody></table>

#### Response description

| Fiels name            | Type                       | Description                                        |
| --------------------- | -------------------------- | -------------------------------------------------- |
|                       | Array of InstrumentMarkups | Array of instrument markups                        |
| **InstrumentMarkups** | Array\[5]                  |                                                    |
| 0                     | Efx::ClientID              | Counterparty id                                    |
| 1                     | optional\<string>          | Instrument name or *null* for default markup.      |
| 2                     | int                        | Bid markup value                                   |
| 3                     | int                        | Ask markup value                                   |
| 4                     | string                     | Liquidity flow direction: "incoming" or "outgoing" |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/pricing-and-instruments/instrumentmarkups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
